org.eclipse.emf.compare.internal.merge

## Enum MergeOperation

- java.lang.Object
- - java.lang.Enum<MergeOperation>
  - - org.eclipse.emf.compare.internal.merge.MergeOperation

All Implemented Interfaces:
  Serializable, Comparable<MergeOperation>

    public enum MergeOperation
    extends Enum<MergeOperation>

Enumeration of all possible merge operations on differences.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MARK_AS_MERGE` Only mark the diff as merged without copying anything.
`MERGE` Do a regular merge with copy.

### Method Summary

All Methods Static Methods Concrete Methods
`static MergeOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MergeOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MARK_AS_MERGE

    public static final MergeOperation MARK_AS_MERGE

Only mark the diff as merged without copying anything.

#### MERGE

    public static final MergeOperation MERGE

Do a regular merge with copy.

### Method Detail

#### values

    public static MergeOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MergeOperation c : MergeOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MergeOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null